using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Drawing;
using System.Collections;

public partial class _Default : System.Web.UI.Page 
{
  
    protected void Page_Load(object sender, EventArgs e)
    {
        Result.Text = "";   
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        SautinSoft.PdfVision v  = new SautinSoft.PdfVision();

        ArrayList arImgBytes = new ArrayList();

        if (FileUpload1.FileBytes.Length > 0)
            arImgBytes.Add(FileUpload1.FileBytes);

        if (FileUpload2.FileBytes.Length > 0)
            arImgBytes.Add(FileUpload2.FileBytes);

        if (FileUpload3.FileBytes.Length > 0)
            arImgBytes.Add(FileUpload3.FileBytes);

        if (FileUpload4.FileBytes.Length > 0)
            arImgBytes.Add(FileUpload4.FileBytes);

        //convert arraylist with image streams to pdf stream
        byte [] pdfBytes = v.ConvertImageStreamArrayToPDFStream(arImgBytes);
        
        
        //show PDF
        if (pdfBytes != null)
        {
            Response.Buffer = true;
            Response.Clear();
            Response.ContentType = "application/PDF";
            //Response.AddHeader("Content-Disposition:", "attachment; filename=Result.pdf");
            Response.AddHeader("Content-Disposition:", "inline; filename=Result.pdf");
            Response.BinaryWrite(pdfBytes);
            Response.Flush();
            Response.End();
        }
        else
        {
            Result.Text = "Converting failed!";
        }
    }    
}
