using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Convert folder with images to PDF files
			SautinSoft.PdfVision v = new SautinSoft.PdfVision();
			//v.Serial = "XXXXXXXXXXXXXXX";
			
			//specify converting options
			v.PageStyle.PageSize.Auto();
			//v.PageStyle.PageMarginLeft.Inch(1);
			//v.ImageStyle.Heightmm(150);
			//v.ImageStyle.WidthInch(10);

			v.ImageStyle.Quality=80; //50-100
		
			//Set directory which contains image files, any local path for example "c:\images\"
			string directoryWithImages = @"..\..\..\..\..\";

			//Convert all image files from directory to PDF file
			//Image files: *.jpg, *.bmp, *.gif, *.tiff, *.tif, *.png, *.ico, *.emf, *.exif, *.jpeg, *.jpe, *.jfif, *.photocd, *.flashpix
			int ret = v.ConvertImageFolderToPDFFile(directoryWithImages, @"..\..\..\..\..\hardcopy.pdf");
			
			//0 - converting successfully
			//1 - directory doesn't contain any image file
			//2 - can't create output file, check the output path
			//3 - converting failed
			
			if(ret==0 )
			{
				//Show produced PDF in Acrobat Reader
				System.Diagnostics.Process.Start(@"..\..\..\..\..\hardcopy.pdf");
			}
		}
	}
}
