using System;
using System.IO;
using System.Collections;


namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Merge PDF in memory
			SautinSoft.PdfVision v = new SautinSoft.PdfVision();
			//v.Serial = "XXXXXXXXXXXXXXX";
			
			//merge 4 PDF files
			string [] files = new string[4];
			files[0] = @"c:\document1.pdf";
			files[1] = @"c:\document2.pdf";
			files[2] = @"c:\document3.pdf";
			files[3] = @"c:\document4.pdf";

			ArrayList arPdfBytes = new ArrayList();

			//fill arraylist by pdf bytes
			for (int i=0; i<files.Length; i++)
			{
				byte [] pdfBytes=null;
				pdfBytes = ReadByteArrayFromFile(files[i]);
				if (pdfBytes!=null)
					arPdfBytes.Add(pdfBytes);

			}

			byte [] pdf = v.MergePDFStreamArrayToPDFStream(arPdfBytes);
			
			if(pdf!=null )
			{
				string pdfFile = @"..\..\..\..\..\hardcopy.pdf";
				File.Delete(pdfFile);
				FileStream fs = File.OpenWrite(pdfFile);
				fs.Write(pdf,0,pdf.Length);
				fs.Close();
				System.Diagnostics.Process.Start(pdfFile);
			}

		}
		public static byte[] ReadByteArrayFromFile(string fileName)
		{
			byte[] buff = null;
			try
			{
				FileStream fs = new FileStream(fileName, FileMode.Open, FileAccess.Read);
				BinaryReader br = new BinaryReader(fs);
				long numBytes = new FileInfo(fileName).Length;
				buff = br.ReadBytes((int)numBytes);
			}
			catch{}
			return buff;
		}
	}
}
