Imports System.IO
Imports System.Collections


Namespace Sample
	Friend Class Test

		Shared Sub Main(ByVal args() As String)

			'Convert images to PDF in memory			 			
			Dim v As New SautinSoft.PdfVision()
			'v.Serial = "XXXXXXXXXXXXXXX";

			'specify converting options
			v.PageStyle.PageSize.Auto()
			'v.PageStyle.PageMarginLeft.Inch(1);
			'v.ImageStyle.Heightmm(150);
			'v.ImageStyle.WidthInch(10);

			v.ImageStyle.Quality=100

			'Create array containing paths to different images
			Dim arImages(3) As String
			arImages(0) = "..\..\..\..\..\image1.jpg"
			arImages(1) = "..\..\..\..\..\image2.png"
			arImages(2) = "..\..\..\..\..\image3.gif"
			arImages(3) = "..\..\..\..\..\image4.jpg"

			Dim arImageBytes As New ArrayList()

			'fill arraylist by image bytes
			For i As Integer = 0 To arImages.Length - 1
				Dim imageBytes() As Byte=Nothing
				imageBytes = ReadByteArrayFromFile(arImages(i))
				If imageBytes IsNot Nothing Then
					arImageBytes.Add(imageBytes)
				End If

			Next i

			'Now the arImageBytes contains byte streams of each image
			'Lets convert it to PDF stream in memory
			Dim pdf() As Byte = v.ConvertImageStreamArrayToPDFStream(arImageBytes)
			If pdf IsNot Nothing Then
				'Save PDF stream to a file
				Dim pdfFile As String = "..\..\..\..\..\hardcopy.pdf"
				File.Delete(pdfFile)
				Dim fs As FileStream = File.OpenWrite(pdfFile)
				fs.Write(pdf,0,pdf.Length)
				fs.Close()

				'Show produced file in Acrobat Reader
				System.Diagnostics.Process.Start(pdfFile)
			End If
		End Sub
		Public Shared Function ReadByteArrayFromFile(ByVal fileName As String) As Byte()
			Dim buff() As Byte = Nothing
			Try
				Dim fs As New FileStream(fileName, FileMode.Open, FileAccess.Read)
				Dim br As New BinaryReader(fs)
				Dim numBytes As Long = (New FileInfo(fileName)).Length
				buff = br.ReadBytes(CInt(numBytes))
			Catch
			End Try
			Return buff
		End Function
	End Class
End Namespace
